

layout(location = 0) in vec3 os_pos;
layout(location = 2) in vec2 os_uv0;

uniform mat4 vp;
uniform mat4 modelmat;

out vec2 uv0;

void main()
{
	vec4 ws_pos = modelmat * vec4(os_pos,1);
	gl_Position =  vp * ws_pos;

	uv0 = os_uv0;
}
